
/* ========================
Utilities
======================== */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&family=Pacifico&family=Roboto+Condensed&display=swap');


* {
  box-sizing: border-box;
}

body{
  margin:0;
  padding:0;
  font-family: 'Montserrat', sans-serif;
}

.cf::before,
.cf::after {
    content: "";
    display: table; 
}

.cf::after {
    clear: both;
}

html {
  position: relative;
}

img {
  max-width: 100%;
  height:auto;
}

/* ========================
Global
======================== */

body {
  color: #444;
  font-family: 'Cardo', serif;
  font-size: 18px;
  font-weight: 300;
  line-height: 1;
  margin: 0;
  padding: 0;
}


@media screen and (max-width: 768px) {
    h1,h2,h3,h4,h5,h6{
        font-size:14px;
    }
}

h1, h2, h3, h4, h5, h6, ul, ol, p {
  margin-top: 0;
}

h1, h2, h3, h4, h5, h6 {
 font-family: 'Oswald', sans-serif;
 /* text-transform: uppercase; */
 color:#ffce00;
}

h1 {
  font-weight: 900;
}

p {
  line-height: 1.5;
}

a:hover, a:focus, a:active, a:visited {
  color: red;
  text-decoration: underline;
}


/* ==================
***** Nav Section
=====================*/

nav{
  /* border: 1px solid red; */
  position: fixed;
  z-index:10;
  left: 0;
  right: 0;
  top: 0;
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  text-transform: uppercase;
  padding: 0 3%;
  height: 10%;
  background-color: rgb(5, 0, 0);
}


nav .logo{
  float: left;
  width: 40%;
  height: 100%;
  display: flex;
  align-items: center;
  font-size: 1.6rem;
  color: rgb(250, 246, 246);
}

strong{
  color: rgb(226, 64, 43);
}

nav .links{
  float: right;
  padding: 0;
  margin: 0;
  width: 60%;
  height: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

nav .links li{
  list-style: none;
}

nav .links a{
  display: block;
  padding: 1em;
  font-size: .8rem;
  font-weight: bold;
  color: white;
  text-decoration: none;
}

nav .links a:hover {
  color: crimson;
  border-top: 1px solid crimson;
  transition: .5s ease-in-out;
}

/* Toggle */
#nav-toggle{
  position: absolute;
  top: -100px;
}

nav .icon-burger{
  display: none;
  position: absolute;
  right: 5%;
  top: 50%;
  transform: translateY(-50%);
}

nav .icon-burger .line{
  width: 30px;
  height: 5px;
  background-color: rgb(251, 251, 248);
  margin: 5px;
  border-radius: 3px;
}

/* ==================
***** Hero Section
=====================*/
.heropage{
  background: linear-gradient(to left, rgb(7, 7, 7), rgba(97, 95, 96, 0.73)), url(../images/hero.jpg) no-repeat center center/cover;
  height: 100vh;
  background-blend-mode: overlay;
  background-color: rgba(0, 0, 0, 0.713);
  justify-content: center;
}

.hero{
  border: 1px solid red;
  position: relative;
  height: 100%;
  width: 70%;
  margin: auto;
  padding-left: 5em;
  padding-right: 5em;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.hero img {
  height: 100%;
  width: 35%;
  padding-top: 10em;
  margin-left: auto;
}

.herotext{
  letter-spacing: 0px;
  justify-content: left;
  align-content: left;
  float: left;
  /* border: 1px solid red; */
}

.text-hero {
  font-size: 4rem;
  color: rgb(255, 251, 252);
  letter-spacing: .1em;
}

#name{
  color:crimson;
  font-size: 5rem;
  font-style: bolder;
  font-family: 'Pacifico';
}

#subtext{
  /* border: 1px solid whitesmoke; */
  border-radius: .5em;
  border-top: 2px solid crimson;
  border-bottom: 2px solid crimson;
  /* background-color: rgba(245, 245, 245, 0.466); */
  color: whitesmoke;
  text-shadow: 1px 1px 4px black;
  font-style: bolder;
  position: absolute;
  padding: .5em .8em;
  /* margin-top: .1em; */
  font-family: 'Roboto Condensed', sans-serif;
  font-size: 1rem;
  letter-spacing: .2em;
  text-transform: uppercase;
}

/* ========================
Containers
======================== */

.container-fluid {
  padding: 0 1em;
}

.container {
  margin: 0 auto;
  max-width: 996px;
}


/* ========================
About Me
======================== */

.profile-image {
  border-radius: 50%;
  display: block;
  max-width: 200px;
  margin: 0 auto 1em;
  width: 100%;
}

.intro {
  background-color: #E74C3C;
  color: #fff;
}

.aboutpic{
  height:140px;
  width:150px;
  border-radius: 50%;
  margin-bottom:25px;
}

#about{
  background-image: linear-gradient(to bottom, rgba(52,152,219,.6), rgba(52,152,219,.6));
}


#me{
  font-family: 'Oswald', sans-serif;
    text-shadow: 10px 5px 25px rgba(15, 15, 15, 0.5);
    color: #fff;
    text-align: center;
    padding: 10px;
}


/* ========================
Project Section
======================== */
.intro, .container, .features .container, .portfolio .container, .contact, .splash  {
  padding: 5em 0;
}

.intro, .features, .portfolio, .contact {
  text-align: center;
}


#projects {
  background: linear-gradient(rgba(44, 62, 80, 0.65), rgba(52, 152, 219, 0.65)),
        url("https://www.einfochips.com/blog/wp-content/uploads/2017/02/software-testing-trends.jpg") no-repeat fixed center;
  background-size: cover;
  color: #fff;
  padding-top: 50px;
  padding-bottom: 30px;
  justify-content: center;
}


.col-md-4 .card {
  margin: 1em auto;
  width: 100%;
}

.card-title{
  color:black;
  font-family: 'Oswald', sans-serif;
  text-align: center;
}

.card{
  margin-bottom: 10px;
}

.car:hover{
    box-shadow: 0 0 11px rgba(33,33,33,.2);
}

.cardbod{
  font-family: 'Oswald', sans-serif;
  font-size:15px;
  background-color: rgba(7, 147, 247,.2);
  border-radius: 5px;
  font-style: normal; 
  color:black;
  padding:20px;
}


/*Hover Effect*/
.card > img {
  position: relative;
}
.card > img::before {
  position: absolute;
  top: 0;
  left: -75%;
  z-index: 2;
  display: block;
  content: '';
  width: 50%;
  height: 100%;
  background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
  background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
  -webkit-transform: skewX(-25deg);
  transform: skewX(-25deg);
}
.card > img:hover::before {
  -webkit-animation: shine .75s;
  animation: shine .75s;
}
@-webkit-keyframes shine {
  100% {
    left: 125%;
  }
}
@keyframes shine {
  100% {
    left: 125%;
  }
}


/* ========================
Contact Form Section
======================== */

.contact{
  background: linear-gradient(rgba(52, 152, 219, .9), rgba(44, 62, 80, 0.65)),
        url("https://www.einfochips.com/blog/wp-content/uploads/2017/02/software-testing-trends.jpg") no-repeat fixed center;
  background-size: cover;
  color: #fff;
} 

.contact form {
  /*background-color: rgb(65, 150, 224, .3);*/
  border-radius: 4px;
  /*border-top: 8px solid #E74C3C;*/
  box-shadow: 0 3px 20px white;
  border:1px solid white;
  padding: 1em;
  font-family: 'Oswald', sans-serif;
}

.contact form input, .contact form textarea {
  border: none;
  border-radius: 4px;
  display: block;
  margin-bottom: 1em;
  padding: 1em;
  width: 100%;
}

.contact form textarea {
  height: 6em;
}

/*.contact form input[type="submit"] {
  background-color: #ffce00;
  border-radius: 20px;
  font-size: 15px;
  color: black;
  font-style: bold;
  padding: 1px;
  text-transform: uppercase;
}*/

.button{
  background-color: gray;
  font-family: 'Oswald', sans-serif;
  box-shadow: 0 1px 3px 3px white;
    border:1px solid white;
}

/* Media Queries */

@media (min-width: 768px) {
  
  .contact form {
    padding: 3em 2em 2em;
  }
  
  .contact form input[type="submit"] {
    padding: 1em 2em;
    width: auto;
  }
  
  .contact form input.full-half {
    float: left;
    margin-right: 2.5%;
    width: 48.75%;
  }
  
  .contact form input.full-half:nth-of-type(2n) {
    margin-right: 0;
  }
  
  .contact form textarea {
    height: 12em;
  }

  .card{
    margin-bottom: 10px;
  }
  
}

/* ========================
Footer Section
======================== */

.footer {
  background-color: #2C3E50;
  color:  #fff;
  font-size: .8em;
  font-family: 'Cardo', serif;
  text-align: center;
}

.footer .container {
  padding: 1em 0;
}

.footer a {
  color: #fff;
  margin-right: 1em;
}

.footer a:last-of-type {
  margin-right: 0;
}

.chris{
  font-family: 'Pacifico', cursive;
  color:#ffce00;
}


/* ========================
Media Queries
======================== */

/* NavBar */

@media screen and (max-width:812px){
  nav .logo{
    float: none;
    width: auto;
    justify-content: center;
  }

  nav .links{
    float: none;
    position: fixed;
    z-index: 9;
    left: 0;
    right: 0;
    top: 60px;
    bottom: 100%;
    width: auto;
    height: auto;
    justify-content: center;
    flex-direction: column;
    background: rgba(0, 0, 0, .8);
    overflow: hidden;
    transition: all .5s ease-in-out;


  }

  nav .links a{
    font-size: 1.5rem;

  }

  nav .icon-burger{
    display: block;
  }

nav :checked ~ .links{
  bottom: 0;
}


/* Hover&Effects */
nav .links a:hover{
  color:rgb(226, 64, 43);
}

}

